org.springframework.data.jdbc.core.convert

## Interface Identifier.IdentifierConsumer

Enclosing class:
  Identifier

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface Identifier.IdentifierConsumer

Represents an operation that accepts identifier key parts (name, value and `target type`) defining a contract to consume `Identifier` values.

Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `accept(SqlIdentifier name, Object value, Class<?> targetType)` Performs this operation on the given arguments.

### Method Detail

#### accept

    void accept(SqlIdentifier name,
                Object value,
                Class<?> targetType)

Performs this operation on the given arguments.

Parameters:
  `name` -
  `value` -
  `targetType` -